/**
 * This file is part of Port@l
 * Port@l 3.0 - Portal Engine and Management System
 * Copyright (C) 2010  Isotrol, SA.  http://www.isotrol.com
 *
 * Port@l is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Port@l is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Port@l.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.isotrol.impe3.api.component.html;


/**
 * Constants for HTML rendering.
 * @author Andres Rodriguez
 */
public final class HTMLConstants {
	/** Not instantiable. */
	private HTMLConstants() {
		throw new AssertionError();
	}

	/** html tag */
	public static final String HTML = "html";
	/** head tag */
	public static final String HEAD = "head";
	/** body tag */
	public static final String BODY = "body";
	/** div tag */
	public static final String DIV = "div";
	/** div tag */
	public static final String META = "meta";
	/** pre tag */
	public static final String PRE = "pre";
	/** p tag */
	public static final String P = "p";
	/** a tag */
	public static final String A = "a";
	/** iframe tag */
	public static final String IFRAME = "iframe";
	/** class atribute */
	public static final String CLASS = "class";
	public static final String CONTENT = "content";
	/** style atribute */
	public static final String STYLE = "style";
	public static final String WIDTH = "width";
	public static final String HEIGHT = "height";
	public static final String LINK = "link";
	public static final String REL = "rel";
	/** href atribute */
	public static final String HREF = "href";
	public static final String HTTP_EQUIV = "http-equiv";
	public static final String MEDIA = "media";
	public static final String TYPE = "type";
	/** ul tag */
	public static final String UL = "ul";
	/** li tag */
	public static final String LI = "li";
	/** img tag */
	public static final String IMG = "img";
	public static final String SCRIPT = "script";
	public static final String SRC = "src";
	public static final String TITLE = "title";
	public static final String NOSCRIPT = "noscript";
	public static final String OBJECT = "object";
	public static final String CODEBASE = "codebase";
	public static final String CLASSID = "classid";
	public static final String PARAM = "param";
	public static final String NAME = "name";
	public static final String VALUE = "value";
	public static final String EMBED = "embed";
	public static final String PLUGINSPAGE = "pluginspage";
	public static final String QUALITY = "quality";
	public static final String NOEMBED = "noembed";
	/** iframe tag */
	public static final String FRAMEBORDER = "frameborder";
	public static final String SCROLLING = "scrolling";
	/* Values */
	public static final String YES = "yes";
	public static final String NO = "no";
	
	/* MIME types. */
	public static final String MIME_JS = "text/javascript";
	

}
